## org.sqlite
Enum SQLiteConfig.Encoding

    java.lang.Object
      java.lang.Enum<SQLiteConfig.Encoding>
          org.sqlite.SQLiteConfig.Encoding

All Implemented Interfaces:
  Serializable, Comparable<SQLiteConfig.Encoding>

Enclosing class:
  SQLiteConfig

    public static enum SQLiteConfig.Encoding

extends Enum<SQLiteConfig.Encoding>

Enum Constant Summary
`UTF16`
`UTF16_BIG_ENDIAN`
`UTF16_LITTLE_ENDIAN`
`UTF8`

Field Summary
`String` `typeName`

Method Summary
`String` `getValue()`
`static SQLiteConfig.Encoding` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteConfig.Encoding[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UTF8

    public static final SQLiteConfig.Encoding UTF8

### UTF16

    public static final SQLiteConfig.Encoding UTF16

### UTF16_LITTLE_ENDIAN

    public static final SQLiteConfig.Encoding UTF16_LITTLE_ENDIAN

### UTF16_BIG_ENDIAN

    public static final SQLiteConfig.Encoding UTF16_BIG_ENDIAN

Field Detail

### typeName

    public final String typeName

Method Detail

### values

    public static final SQLiteConfig.Encoding[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SQLiteConfig.Encoding c : SQLiteConfig.Encoding.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SQLiteConfig.Encoding valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public String getValue()

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.